Index: channels/chan_alsa.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_alsa.c,v
retrieving revision 1.10
diff -u -r1.10 chan_alsa.c
--- channels/chan_alsa.c	13 Nov 2003 21:57:49 -0000	1.10
+++ channels/chan_alsa.c	28 Jan 2004 00:11:26 -0000
@@ -59,7 +59,9 @@
 static char indevname[50] = ALSA_INDEV;
 static char outdevname[50] = ALSA_OUTDEV;
 
+#if 0
 static struct timeval lasttime;
+#endif
 
 static int usecnt;
 static int needanswer = 0;
@@ -122,6 +124,7 @@
 	
 } alsa;
 
+#if 0
 static int time_has_passed(void)
 {
 	struct timeval tv;
@@ -133,6 +136,7 @@
 		return -1;
 	return 0;
 }
+#endif
 
 /* Number of buffers...  Each is FRAMESIZE/8 ms long.  For example
    with 160 sample frames, and a buffer size of 3, we have a 60ms buffer, 
@@ -153,7 +157,8 @@
 static int writedev = -1;
 
 static int autoanswer = 1;
- 
+
+#if 0 
 static int calc_loudness(short *frame)
 {
 	int sum = 0;
@@ -167,6 +172,7 @@
 	sum = sum/FRAME_SIZE;
 	return sum;
 }
+#endif
 
 static int cursound = -1;
 static int sampsent = 0;
Index: channels/chan_local.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_local.c,v
retrieving revision 1.21
diff -u -r1.21 chan_local.c
--- channels/chan_local.c	2 Dec 2003 15:52:37 -0000	1.21
+++ channels/chan_local.c	27 Jan 2004 23:57:38 -0000
@@ -250,6 +250,7 @@
 	return res;
 }
 
+/*
 static void local_destroy(struct local_pvt *p)
 {
 	struct local_pvt *cur, *prev = NULL;
@@ -271,6 +272,7 @@
 	if (!cur)
 		ast_log(LOG_WARNING, "Unable ot find local '%s@%s' in local list\n", p->exten, p->context);
 }
+*/
 
 static int local_hangup(struct ast_channel *ast)
 {
Index: channels/chan_skinny.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_skinny.c,v
retrieving revision 1.25
diff -u -r1.25 chan_skinny.c
--- channels/chan_skinny.c	13 Jan 2004 00:40:33 -0000	1.25
+++ channels/chan_skinny.c	27 Jan 2004 23:59:18 -0000
@@ -2631,6 +2631,7 @@
 	return 0;
 }
 
+#if 0
 void delete_devices(void)
 {
 	struct skinny_device *d, *dlast;
@@ -2661,6 +2662,7 @@
 	devices=NULL;
 	ast_mutex_unlock(&devicelock);
 }
+#endif
 
 int reload(void)
 {
Index: channels/gentone.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/gentone.c,v
retrieving revision 1.2
diff -u -r1.2 gentone.c
--- channels/gentone.c	10 Nov 2001 20:30:19 -0000	1.2
+++ channels/gentone.c	28 Jan 2004 00:09:47 -0000
@@ -38,7 +38,7 @@
 	int freq1, freq2;
 	float wlen1, wlen2;
 	float val;
-	int x, samples1, samples2, samples=0;
+	int x, samples1, samples2=0, samples=0;
 	char fn[256];
 	if (argc < 3) {
 		fprintf(stderr, "Usage: gensound <name> <freq1> [freq2]\n");
Index: formats/format_pcm_alaw.c
===================================================================
RCS file: /usr/cvsroot/asterisk/formats/format_pcm_alaw.c,v
retrieving revision 1.8
diff -u -r1.8 format_pcm_alaw.c
--- formats/format_pcm_alaw.c	8 Sep 2003 16:48:07 -0000	1.8
+++ formats/format_pcm_alaw.c	28 Jan 2004 00:13:27 -0000
@@ -62,6 +62,7 @@
 static char *exts = "alaw|al";
 
 
+#if 0
 /* Returns time in msec since system boot. */
 static unsigned long get_time(void)
 {
@@ -76,6 +77,7 @@
 	}
 	return cur * 1000 / sysconf( _SC_CLK_TCK );
 }
+#endif
 
 static struct ast_filestream *pcm_open(int fd)
 {
Index: apps/app_voicemail.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_voicemail.c,v
retrieving revision 1.54
diff -u -r1.54 app_voicemail.c
--- apps/app_voicemail.c	27 Jan 2004 00:37:47 -0000	1.54
+++ apps/app_voicemail.c	27 Jan 2004 22:46:35 -0000
@@ -2065,6 +2065,7 @@
 	
 }
 
+/*
 static void adsi_clear(struct ast_channel *chan)
 {
 	char buf[256];
@@ -2076,6 +2077,7 @@
 
 	adsi_transmit_message(chan, buf, bytes, ADSI_MSG_DISPLAY);
 }
+*/
 
 static void adsi_goodbye(struct ast_channel *chan)
 {
